def workspace;
node() {
stage('clone') {
    checkout([$class: 'GitSCM', branches: [[name: '*/master']], doGenerateSubmoduleConfigurations: false, extensions: [], submoduleCfg: [], userRemoteConfigs: [[url: 'https://gitlab.com/rahul.sachdeva/scripts.git']]])
     workspace=pwd()
}
stage('script1') {
    sh 'bash script1.sh'
    workspace=pwd()
    }
stage('script2') {
    sh 'bash script2.sh'
    workspace=pwd()
    }
stage('gitlab') {
             echo 'Notify GitLab'
             updateGitlabCommitStatus name: 'build', state: 'pending'
             updateGitlabCommitStatus name: 'jenkins', state: 'success'
          }   
}
